Seriously, whats up with AMD? I am always able to install nvidia's drivers fine, never a problem. With with the ATI drivers, constant fglrx build issues, kernel incompatibilities:

So here we go again, I download ati-driver-installer-10-5-x86.x86_64.run after upgrading my kernel to 2.6.34, surprise surprise, ATI *still* hasn't realized that in the kernel source tree include/linux/utsrelease.h (and a number of other files have been moved to ../generated

this change occurred quite a while ago in the linux kernel source tree, but AMD don't seem to give a toss, of course the compilation of fglrx fails because its looking for these files in the wrong place. So after spending time and creating symlinks in the source tree to work around AMD's stupidity, fglrx still wont build.

make[2]: Entering directory `/usr/src/linux-2.6.34'
CC [M] /usr/src/fglrx-8.732/2.6.x/firegl_public.o
In file included from /usr/src/fglrx-8.732/2.6.x/firegl_public.c:443:
/usr/src/fglrx-8.732/2.6.x/drm_proc.h: In function ‘FGLDRM__vma_info’:
/usr/src/fglrx-8.732/2.6.x/drm_proc.h:497: warning: format ‘%08lx’ expects type ‘long unsigned int’, but argument 5 has type ‘phys_addr_t’
/usr/src/fglrx-8.732/2.6.x/firegl_public.c: In function ‘KCL_SetPageCache_Array’:
/usr/src/fglrx-8.732/2.6.x/firegl_public.c:1316: warning: passing argument 1 of ‘KCL_ConvertPageToKernelAddress’ makes pointer from integer without a cast
/usr/src/fglrx-8.732/2.6.x/firegl_public.c: In function ‘__ke__cmpxchg’:
/usr/src/fglrx-8.732/2.6.x/firegl_public.c:1473: error: variable or field ‘__ret’ declared void
/usr/src/fglrx-8.732/2.6.x/firegl_public.c:1473: error: variable or field ‘__old’ declared void
/usr/src/fglrx-8.732/2.6.x/firegl_public.c:1473: error: variable or field ‘__new’ declared void
/usr/src/fglrx-8.732/2.6.x/firegl_public.c: In function ‘KCL_MapPageToPfn’:
/usr/src/fglrx-8.732/2.6.x/firegl_public.c:1615: warning: unused variable ‘bus_addr’
make[3]: *** [/usr/src/fglrx-8.732/2.6.x/firegl_public.o] Error 1
make[2]: *** [_module_/usr/src/fglrx-8.732/2.6.x] Error 2
make[2]: Leaving directory `/usr/src/linux-2.6.34'
make[1]: *** [kmod_build] Error 2
make[1]: Leaving directory `/usr/src/fglrx-8.732/2.6.x'
build failed with return value 2
make: *** [all] Error 1
PATHETIC.

The other thing is also, if you do not set MALLOC_CHECK_=0 before running the installer, the installer crashes during the fglrx build.

Why do they make it so difficult? I've been from kernel 2.6.32, .33, .34 and never had an nvidia driver install go bad. It just always seems to be with ATI i am forever stuffing around to get their drivers to install.

So, is there another patch to fix this fglrx issue with 2.6.34 kernels?

Sorry for the rant, but I am so sick to death of constantly running into the same issues with ATI drivers on linux.